<?php

class CommandPhpSectionCopy extends Command{
  
  public function Execute($Args) {
    if(true === isset($Args->FromZip) && true !== isset($Args->From)){
      $VarFrom = $this->ObjUpdateMod->UpdateExtractFolder . $Args->FromZip;
    }
    elseif(true === isset($Args->From) && true !== isset($Args->FromZip)){
      $VarFrom = $_SERVER['DOCUMENT_ROOT'] .'/../'. $Args->FromZip;
    }
    else{
      return FALSE;
    }
    $VarTo = $_SERVER['DOCUMENT_ROOT'] .'/../';
    if(true === isset($Args->To)){
      $VarTo .= $Args->To;
    }
    $VarResult = $this->cp_r($VarFrom, $VarTo);
    return $VarResult;
  }
//  public function Execute($VarDir) {
//  
//    return false;
//  }
}
?>